#ifndef _ADATA_AVR2UTIL_CLOCK_H
#define _ADATA_AVR2UTIL_CLOCK_H

#include "connection.h"

extern int
avr2utilGetClkCommand(
  const DeviceHandle* pDevice,
  bool_t bVerbose,
  unsigned int clockIndex);

extern int
avr2utilSetClkCommand(
  const DeviceHandle* pDevice,
  bool_t bVerbose,
  unsigned int clockIndex,
  uint32_t frequency);

extern int
avr2utilGetClkNvCommand(
  const DeviceHandle* pDevice,
  bool_t bVerbose,
  unsigned int clockIndex);

extern int
avr2utilSetClkNvCommand(
  const DeviceHandle* pDevice,
  bool_t bVerbose,
  unsigned int clockIndex,
  uint32_t frequency);

#endif