#ifndef _ADATA_AVR2UTIL_FPGA_INFO_H
#define _ADATA_AVR2UTIL_FPGA_INFO_H

#include <sdk_common.h>

extern const TCHAR*
avr2utilGetFpgaDeviceString(
  uint16_t deviceCode);

extern const TCHAR*
avr2utilGetFpgaTempGradeString(
  uint8_t tempGrade);

extern const TCHAR*
avr2utilGetFpgaSpaceGradeString(
  uint8_t spaceGrade);

extern int
avr2utilZynqMPBootModeStringToNumber(
  const TCHAR* pszBootMode);

extern const TCHAR*
avr2utilZynqMPBootModeNumberToString(
  unsigned int nBootMode);

extern int
avr2utilVersalBootModeStringToNumber(
  const TCHAR* pszBootMode);

extern const TCHAR*
avr2utilVersalBootModeNumberToString(
  unsigned int nBootMode);

#endif
