#ifndef _ADATA_AVR2UTIL_MODEL_INFO_H
#define _ADATA_AVR2UTIL_MODEL_INFO_H

#include <sdk_common.h>

/* Possible values for VPD drawing number field */
#define DRAWING_NUM_ADMXRCKU1     (1305)
#define DRAWING_NUM_ADMPCIE8V3    (1308)
#define DRAWING_NUM_ADMPCIE8K5    (1319)
#define DRAWING_NUM_ADMPCIE9V3    (1322)
#define DRAWING_NUM_ADMVPX39Z2    (1323)
#define DRAWING_NUM_ADMPCIEUCC    (1329)
#define DRAWING_NUM_ADMPCIE9V3G   (1339)
#define DRAWING_NUM_ADMPCIE9H7    (1341)
#define DRAWING_NUM_ADMPCIE8K5_FH (1342)
#define DRAWING_NUM_ADMXRC9R1     (1353)
#define DRAWING_NUM_ADMSDEVBASE   (1360)
#define DRAWING_NUM_ADMPCIE9H3    (1365)
#define DRAWING_NUM_ADMVPX39V2    (1377)
#define DRAWING_NUM_ADMPCIE9V5    (1385)
#define DRAWING_NUM_ADCXMCSTANDALONE (1413)
#define DRAWING_NUM_ADMPCIE9V6    (1422)
#define DRAWING_NUM_ADMPCIE9V7    (1426)
#define DRAWING_NUM_ADMPA100      (1429)
#define DRAWING_NUM_ADMPA101      (1430)
#define DRAWING_NUM_ADMXRC9Z1     (1437)
#define DRAWING_NUM_ADMXRCKU1AT8  (1440)
#define DRAWING_NUM_ADMPCIETRC01  (1461)
#define DRAWING_NUM_ADMPCIE9V8    (1467)
#define DRAWING_NUM_ADMAD01474    (1474)

extern const TCHAR*
avr2utilGetModelName(
  uint32_t drawingNumber);

#endif
