#ifndef _ADATA_AVR2UTIL_SENSOR_INFO_H
#define _ADATA_AVR2UTIL_SENSOR_INFO_H

#include <sdk_common.h>

#include "model_info.h"

typedef struct _SensorInfo {
  const TCHAR* pSensorName;
  const TCHAR* pSensorUnit;
} SensorInfo;

extern void
avr2utilGetSensorInfo(
  uint32_t drawingNumber,
  uint8_t nBoardRevMajor,
  unsigned int index,
  SensorInfo* pSensorInfo,
  double* pAdcScale);

#endif
