#ifndef _ADATA_AVR2UTIL_CLOCK_REGMAP_H
#define _ADATA_AVR2UTIL_CLOCK_REGMAP_H

#include "connection.h"

/* Flags for 'nFlags' parameter */
#define PROGRAM_REGMAP_VOLATILE    (0U << 0)
#define PROGRAM_REGMAP_NONVOLATILE (1U << 0)

extern int
avr2utilSetClkRegMapCommand(
  const DeviceHandle* pDevice,
  bool_t bVerbose,
  uint8_t nClockIndex,
  uint32_t nFlags,
  const TCHAR* pszRegMapPath,  /* If NULL, use factory default register map */
  const TCHAR* pszRegMapType); /* If NULL, attempt to infer register map type from contents of register map file */

#endif