#ifndef _ADATA_AVR2UTIL_MEZ_H
#define _ADATA_AVR2UTIL_MEZ_H

#include "connection.h"

extern int
avr2utilDisplayMezInfo(
  const DeviceHandle* pDevice,
  bool_t bVerbose,
  unsigned int nMezIndex);

extern int
avr2utilDisplayMezInfoRaw(
  const DeviceHandle* pDevice,
  bool_t bVerbose,
  unsigned int nMezIndex);

extern int
avr2utilForceMezPowerCommand(
  const DeviceHandle* pDevice,
  bool_t bVerbose,
  bool_t bNonVolatile,
  bool_t bConfirmed,
  unsigned int nMezIndex,
  unsigned int nReqMillivolt,
  unsigned int nMinMillivolt,
  unsigned int nMaxMillivolt);

extern int
avr2utilGetMezPowerCommand(
  const DeviceHandle* pDevice,
  bool_t bVerbose,
  bool_t bNonVolatile,
  unsigned int nMezIndex);

#endif
