#ifndef _ADATA_AVR2UTIL_SENSOR_H
#define _ADATA_AVR2UTIL_SENSOR_H

#include "connection.h"

extern int
avr2utilDisplayBlackBoxCommand(
  const DeviceHandle* pDevice,
  bool_t bVerbose,
  unsigned int nTypes,
  unsigned int nMaxRecordDisplayed);

extern int
avr2utilDisplaySensorsCommand(
  const DeviceHandle* pDevice,
  bool_t bVerbose);

extern int
avr2utilDisplaySensorsRawCommand(
  const DeviceHandle* pDevice,
  bool_t bVerbose);

extern int
avr2utilOverrideSensorUnscaledCommand(
  const DeviceHandle* pDevice,
  bool_t bVerbose,
  unsigned int sensorIndex,
  unsigned int overrideValue);

extern int
avr2utilReleaseSensorCommand(
  const DeviceHandle* pDevice,
  bool_t bVerbose,
  unsigned int sensorIndex);

#endif